Subject: Re: [dhcwg] Consensus for WG last call fordraft-ietf-dhc-vpn-option-05.txt

From: Richard Johnson <[email-masked]>
Date: Tue, 13 Jun 2006 14:52:23 -0700

Let's get back to this, shall we?

Responses inline...

On Nov 28, 2005, at 7:04 AM, Bernie Volz ((volz)) wrote:

> There are a few minor issues that probably should be addressed:
>
> 1. Reference to DHCP Relay Suboption?
>
>    Any VSS information contained in a DHCP Relay Suboption SHOULD
>    override the information contained in this VSS Information option
>
> There should be a reference to the VSS DHCP Relay Suboption? Is there
> such a RFC/I-D (I didn't see it though I didn't look that hard). If
> there is no such RFC/I-D, best to remove this text and let a later  
> draft
> specify this? Note that this suboption is mentioned in multiple places
> (including the IANA Considerations section).

Kim did a draft for the VPN Relay Suboption (possibly renamed the  
"VSS Relay Suboption").  I can't seem to find any current status on  
it, however.  I need to find that draft and then reference it here, I  
think.

>
> Minor: No period at end of sentence.
>
> 2. I wonder whether the second paragraph of the abstract shouldn't be
> moved to the IANA considerations section? Seems to me that this  
> draft is
> requesting that IANA officially assigned option 221 to this option.
>
>    The option number currently in use is 221.  This memo documents the
>    current usage of the option in agreement with RFC-3942[7] , which
>    declares that any pre-existing usages of option numbers in the  
> range
>    128 - 223 should be documented and the working group will try to
>    officially assign those numbers to those options.
>
> Perhaps the draft should specify TBD for the option number in the
> earlier sections and then add something like the following in the IANA
> Considerations section:
>
>    IANA is requested to assign option number 221 for this option, in
>    accordance with RFC-3942[7]. Option 221 has been used for this  
> option
>    and there were no conflicting users of option 221 identified during
>    the 6-month notification period specified in RFC-3942.

I don't really like the idea of putting "TBD" in place of "221" when  
we're definitely documenting the use of option number "221" (we per  
RFC-3942) here.  I removed the sentence, "The option number currently  
in use is 221.", and put your IANA Considerations text in that section.

>
> 3. I also believe the IANA section needs something like:
>
>    IANA is requested to start a VSS option type number registry  
> with the
>    initial assignments as specified in section 2 of this document.
> Future
>    type values may only be defined by IETF Consensus, as described in
> [6].

I figured we don't really need to ask IANA to start a VSS option type  
number registry at this point.  I can't see any other possible types  
currently.  My thoughts were that if someone in the future sees a  
need for more type numbers, then they can document that in their own  
draft and ask for an IANA registry at that time.  Is this just not  
the way to go about things?

/raj

>
> - Bernie
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]
>> On Behalf Of Stig Venaas
>> Sent: Monday, November 28, 2005 5:00 AM
>> To: [email-masked]
>> Subject: [dhcwg] Consensus for WG last call
>> fordraft-ietf-dhc-vpn-option-05.txt
>>
>> The chairs believe draft-ietf-dhc-vpn-option-05.txt is ready for WG
>> last call.
>>
>> If there are no objections posted to the WG mailing list, the chairs
>> will start a WG last call for this draft on 2005-12-08.
>>
>> Stig
>>
>> _______________________________________________
>> dhcwg mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/dhcwg
>>

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: "Bernie Volz \(volz\)" <[email-masked]>
Date: Tue, 13 Jun 2006 18:45:41 -0400

Go for it! 

> From: Richard Johnson (raj) 
> Sent: Tuesday, June 13, 2006 5:52 PM
> To: Bernie Volz (volz)
> Cc: Stig Venaas; [email-masked]; Kim Kinnear Jr. (kkinnear); 
> Jay Kumarasamy (jayk)
> Subject: Re: [dhcwg] Consensus for WG last call